Create an inference step
curl --request POST \
--url https://api.avidoai.com/v0/inference-steps \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Moderator",
"description": "Moderator step for input moderation",
"type": "LLM",
"externalId": "input_moderator"
}
'import requests
url = "https://api.avidoai.com/v0/inference-steps"
payload = {
"title": "Moderator",
"description": "Moderator step for input moderation",
"type": "LLM",
"externalId": "input_moderator"
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Moderator',
description: 'Moderator step for input moderation',
type: 'LLM',
externalId: 'input_moderator'
})
};
fetch('https://api.avidoai.com/v0/inference-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"type": "LLM",
"externalId": "input_moderator",
"title": "Moderator",
"description": "Moderator step for input moderation"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Inference Steps
Create an inference step
POST
/
v0
/
inference-steps
Create an inference step
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new inference step
The title of the inference step
Required string length:
1 - 255Example:
"Moderator"
The inference step description
Example:
"Moderator step for input moderation"
The type of the inference step
Available options:
LLM, RETRIEVER Example:
"LLM"
identifier used in the ai application
Required string length:
1 - 255Example:
"input_moderator"
Response
Created
Response containing a single inference step
Show child attributes
Show child attributes
⌘I